JobOccurrencesModel (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared

## Class JobOccurrencesModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.occurrencemanagement.shared.JobOccurrencesModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class JobOccurrencesModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADDRESS`
    `ComputationModel` | `cl`
    `static Comparator<JobOccurrencesModel>` | `COMPARATOR`
    `static String` | `COMPUTATION`
    `static String` | `COMPUTATIONID`
    `static String` | `DESCRIPTION`
    `ElaborationStatus` | `el`
    `static String` | `ELABORATIONTYPE`
    `static String` | `ENDTIME`
    `static String` | `JOBINDENTIFIER`
    `static String` | `JOBNAME`
    `static String` | `OCCURRENCEMODEL`
    `static String` | `PERCENTAGE`
    `static String` | `RESOURCETYPE`
    `ResourceType` | `rt`
    `static String` | `STARTTIME`
    `static String` | `STATUS`
    `static String` | `STATUSPROGESSBAR`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobOccurrencesModel()`
    `JobOccurrencesModel(String jobIdentifier, String jobName, ElaborationType type, ElaborationStatus state, ComputationModel computationModel, Date startTime, Date endTime)` Used to retrieve computation status
    `JobOccurrencesModel(String jobIdentifier, String jobName, ElaborationType type, ElaborationStatus state, String description, Date startTime, String operationId)` Used to retrieve occurrences list completed
    `JobOccurrencesModel(String jobIdentifier, String jobName, ElaborationType type, ElaborationStatus state, String description, Date startTime, String operationId, ResourceType resourceType)` Used to retrieve occurrences list completed
    `JobOccurrencesModel(String jobIdentifier, String jobName, String description, Date startTime, Date endTime)` Used to retrieve table from store

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `ComputationModel` | `getComputation()`
    `String` | `getDescription()`
    `ElaborationStatus` | `getDownloadState()`
    `Date` | `getEndTime()`
    `String` | `getIdentifier()`
    `String` | `getName()`
    `String` | `getOperationId()`
    `Float` | `getPercentage()`
    `ResourceType` | `getResourceType()`
    `Date` | `getStartTime()`
    `ElaborationType` | `getType()`
    `void` | `setEndTime(Date endTime)`
    `String` | `toString()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JOBINDENTIFIER

          public static final String JOBINDENTIFIER

      See Also:
        Constant Field Values

    - #### JOBNAME

          public static final String JOBNAME

      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### ENDTIME

          public static final String ENDTIME

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### COMPUTATION

          public static final String COMPUTATION

      See Also:
        Constant Field Values

    - #### ELABORATIONTYPE

          public static final String ELABORATIONTYPE

      See Also:
        Constant Field Values

    - #### OCCURRENCEMODEL

          public static final String OCCURRENCEMODEL

      See Also:
        Constant Field Values

    - #### PERCENTAGE

          public static final String PERCENTAGE

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final String ADDRESS

      See Also:
        Constant Field Values

    - #### STATUSPROGESSBAR

          public static final String STATUSPROGESSBAR

      See Also:
        Constant Field Values

    - #### COMPUTATIONID

          public static final String COMPUTATIONID

      See Also:
        Constant Field Values

    - #### RESOURCETYPE

          public static final String RESOURCETYPE

      See Also:
        Constant Field Values

    - #### el

          public ElaborationStatus el

    - #### cl

          public ComputationModel cl

    - #### rt

          public ResourceType rt

    - #### COMPARATOR

          public static Comparator<JobOccurrencesModel> COMPARATOR

  - ### Constructor Detail

    - #### JobOccurrencesModel

          public JobOccurrencesModel()

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName,
                             ElaborationType type,
                             ElaborationStatus state,
                             ComputationModel computationModel,
                             Date startTime,
                             Date endTime)

      Used to retrieve computation status
      Parameters:
        `jobIdentifier` -
        `jobName` -
        `type` -
        `state` -
        `computationModel` -
        `startTime` -
        `endTime` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName,
                             String description,
                             Date startTime,
                             Date endTime)

      Used to retrieve table from store
      Parameters:
        `jobIdentifier` -
        `jobName` -
        `type` -
        `state` -
        `computationModel` -
        `startTime` -
        `endTime` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName,
                             ElaborationType type,
                             ElaborationStatus state,
                             String description,
                             Date startTime,
                             String operationId)

      Used to retrieve occurrences list completed
      Parameters:
        `jobIdentifier` -
        `jobName` -
        `state` -
        `description` -
        `startTime` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName,
                             ElaborationType type,
                             ElaborationStatus state,
                             String description,
                             Date startTime,
                             String operationId,
                             ResourceType resourceType)

      Used to retrieve occurrences list completed
      Parameters:
        `jobIdentifier` -
        `jobName` -
        `state` -
        `description` -
        `startTime` -

  - ### Method Detail

    - #### getAddress

          public String getAddress()

    - #### getResourceType

          public ResourceType getResourceType()

    - #### getOperationId

          public String getOperationId()

    - #### getDescription

          public String getDescription()

    - #### getComputation

          public ComputationModel getComputation()

    - #### getDownloadState

          public ElaborationStatus getDownloadState()

    - #### getEndTime

          public Date getEndTime()

    - #### getIdentifier

          public String getIdentifier()

    - #### getName

          public String getName()

    - #### getPercentage

          public Float getPercentage()

    - #### getStartTime

          public Date getStartTime()

    - #### getType

          public ElaborationType getType()

    - #### setEndTime

          public void setEndTime(Date endTime)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.